Bug 768136

Summary: Assertion failure in window_backed_app_get_window()
Product: [Fedora] Fedora Reporter: Owen Taylor <otaylor>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: alexandruch_1991, browning48ky, bruno, bugs.michael, cje, d-bugzilla, icywind90, jgrunhut, kazimieras.vaina, maxamillion, ortizsantini, otaylor, samkraju, walters
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 02:26:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Owen Taylor 2011-12-15 15:57:49 EST

    
Comment 1 Owen Taylor 2011-12-15 15:58:39 EST
*** Bug 734265 has been marked as a duplicate of this bug. ***
Comment 2 Owen Taylor 2011-12-15 15:59:22 EST
*** Bug 734077 has been marked as a duplicate of this bug. ***
Comment 3 Bruno Martins 2012-04-24 20:41:56 EDT
"Libreoffice is ready" notification appeared on bottom of screen and then I have clicked on it, and... Boom! :-)

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Bruno Martins 2012-04-24 20:42:00 EDT
Created attachment 580035 [details]
File: backtrace
Comment 5 Owen Taylor 2012-04-25 10:43:18 EDT
Switching to version to F17 since we have a duplicate with the latest gnome-shell packages from F17.
Comment 6 Owen Taylor 2012-04-25 11:01:16 EDT
Thanks for the accurate description of the triggering cause, Bruno. That made it really easy to track down what the bug is! Filed upstream as https://bugzilla.gnome.org/show_bug.cgi?id=674799
Comment 7 Louis van Dyk 2012-06-17 20:38:24 EDT
gnome-mplayer is open, always on top, but not playing anything. In Gmail, I downloaded to open a pps attachment.  Ooimpress 3.5 started to open.  The screen stayed gray, the HDD was very busy, and eventually the Gnome Shell disappeared and restarted.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 cje 2012-06-27 05:40:15 EDT
opened libreoffice.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 cje 2012-07-09 11:27:49 EDT
opening a file in libreoffice.  i believe it was a spreadsheet.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 10 cje 2012-07-09 11:48:46 EDT
(In reply to comment #6)
> https://bugzilla.gnome.org/show_bug.cgi?id=674799

Owen, is this reported against the right version on b.g.o?  looks like it's 3.0 there whereas the reports here appear to be 3.2 and 3.4?  just wondering if that's one reason why there's been no comment on the upstream bug.

also i think i'm getting this without any 'app is ready' notifications.

i do seem to get this error pretty consistently by opening any CSV file.  opening CSV files makes one or two preliminary windows appear before the main libreoffice window (asking about text encoding and CSV format details).
Comment 11 Simon ANDRÉ 2012-07-17 16:52:24 EDT
launch libreoffice calc after a long work(6hours) and a lot a windows and desckopt

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Didier 2012-08-09 10:17:19 EDT
Just to add my 2 cents :

Starting LibreOffice crashed my F17 gnome-shell session with the same assert error.

After upgrading the proprietary nvidia video drivers (RPMfusion) to 295.59, the issue was gone.
Comment 13 Václav Jansa 2012-08-20 06:07:21 EDT
Change window focus during starting LibreOffice. Crash after LibreOffice window popup.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Fedora End Of Life 2013-07-03 21:42:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 02:26:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Owen Taylor 2015-10-07 23:10:56 EDT
Reopening - this was never fixed.
Comment 17 Owen Taylor 2015-10-07 23:11:38 EDT
*** Bug 1161259 has been marked as a duplicate of this bug. ***
Comment 18 Fedora End Of Life 2016-11-24 05:35:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.